// -*- mode: jsonc -*-
[
    {
        "layer": "top", // Waybar at top layer
        // "position": "bottom", // Waybar position (top|bottom|left|right)
        //"height": 30, // Waybar height (to be removed for auto height)
        // "width": 1280, // Waybar width
        "spacing": 4, // Gaps between modules (4px)
        "reload_style_on_change":true,
        // Choose the order of the modules
        "modules-left": [
            "group/datetime",
            "pulseaudio",
            "bluetooth",
            "custom/livingroom_temp",
            "group/hardware",
            "custom/privacydots"
        ],
        "modules-center": [
            "group/music"
        ],
        "modules-right": [
            "sway/scratchpad",
            "sway/workspaces",
            "tray",
            "custom/power"
        ],
        "group/music":{
            "modules":["mpris", "cava"]
        },
        "group/hardware":{
            "modules":["cpu","custom/gpu-usage","memory","disk"],
            "orientation":"horizontal"
        },
        "group/datetime":{
            "modules":["clock","clock#date"]
        },
        "include": [
            "~/.config/waybar/modules.jsonc"
        ]
    }
]